> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get entity



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/entities/{entity_uuid}
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/entities/{entity_uuid}:
    get:
      tags:
        - entities
      summary: Get entity
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: entity_uuid
          in: path
        - schema:
            type: string
            format: uuid
          required: false
          name: space_uuid
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: space_id
          in: query
      responses:
        '200':
          description: Entity detail
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityDetailResponse'
        '404':
          description: Entity not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    EntityDetailResponse:
      allOf:
        - $ref: '#/components/schemas/EntityResponse'
        - type: object
          properties:
            memories:
              type: array
              items:
                $ref: '#/components/schemas/EntityMemory'
          required:
            - memories
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
        fields:
          nullable: true
      required:
        - detail
    EntityResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        space_id:
          type: string
          format: uuid
        name:
          type: string
        entity_type:
          type: string
          nullable: true
        edge_count:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - space_id
        - name
        - entity_type
        - edge_count
        - created_at
        - updated_at
    EntityMemory:
      type: object
      properties:
        memory_id:
          type: string
          format: uuid
        content:
          type: string
        memory_type:
          type: string
        created_at:
          type: string
          format: date-time
      required:
        - memory_id
        - content
        - memory_type
        - created_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.